[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ExpandUNCFileName

Expand a relative filename to an absolute UNC filename.

## Declaration

Source position: finah.inc line 31

`function ExpandUNCFileName(`
`const FileName: String`
`):String;`

## Description

ExpandUNCFileName runs ExpandFileName on FileName and then attempts to replace the driveletter by the name of a shared disk.

## Errors

None.

## See also

ExtractFileName |  | Extract the filename part from a full path filename.
ExtractFilePath |  | Extract the path from a filename.
ExtractFileDir |  | Extract the drive and directory part of a filename.
ExtractFileDrive |  | Extract the drive part from a filename.
ExtractFileExt |  | Return the extension from a filename.
ExtractRelativePath |  | Extract a relative path from a filename, given a base directory.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.